#include "ImageHandle.h"
#include "ALL_Includes.h"

s16 TmpH=40;//屏显最高温度
s16 TmpL=5;//屏显最低温度



u16 POINT_COLOR=WHITE; 

u16 MaxPoniter=0;
u16 MinPoniter=0;
float MaxTemp,MinTemp;


//显示图像
void SetDispBuf(u16 *LcdBuff)
{
		u16 i;
	
		LCD_setwindow(24,32,215,287);
		for(i=0;i<49152;i++)
		{
				LLCD_WRITE_DATA(LcdBuff[i]);
		}
}	

//查找最高、最低温度
void FindMaxMinTemp(float *Temp)
{	
		u16 i;
	
		MaxTemp=Temp[0];
	  MinTemp=Temp[0];
	  MaxPoniter=0;
		MinPoniter=0;
	
		for(i=0;i<IR_Resolution;i++)
		{
				if(MaxTemp<Temp[i])
				{
						MaxTemp=Temp[i];
						MaxPoniter=i;
				}
				
				if(MinTemp>Temp[i])
				{
						MinTemp=Temp[i];
						MinPoniter=i;
				}
		}
	
		TmpH=MaxTemp;
		TmpL=MinTemp;			
}

